Bug 160846 - [REPOCOPY] devel/py-zopeInterface to devel/py-zope.interface
Summary: [REPOCOPY] devel/py-zopeInterface to devel/py-zope.interface
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Greg Larkin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-20 10:20 UTC by R.Mahmatkhanov
Modified: 2011-09-29 22:30 UTC (History)
0 users

See Also:


Attachments
Makefile.diff (720 bytes, patch)
2011-09-26 09:43 UTC, R.Mahmatkhanov
no flags Details | Diff
zope.interface-deps_change.diff (15.18 KB, patch)
2011-09-26 09:43 UTC, R.Mahmatkhanov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description R.Mahmatkhanov 2011-09-20 10:20:08 UTC
Rename devel/py-zopeInterface to devel/py-zope.interface for consistency with other zope ports. This is the last rename action needed for zope ports.

Also take maintainership, since current maintainer Neal Nelson <neal at nicandneal dot net> has no objections (private email).
Comment 1 Edwin Groothuis freebsd_committer 2011-09-20 10:20:31 UTC
Maintainer of devel/py-zopeInterface,

Please note that PR ports/160846 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/160846

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2011-09-20 10:20:33 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Greg Larkin freebsd_committer 2011-09-20 18:04:55 UTC
State Changed
From-To: feedback->repocopy

Repocopy request for portmgr@ 


Comment 4 Greg Larkin freebsd_committer 2011-09-20 18:04:55 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

Repocopy request for portmgr@
Comment 5 Joe Marcus Clarke freebsd_committer 2011-09-26 08:18:21 UTC
State Changed
From-To: repocopy->open

Repocopy complete. 


Comment 6 Joe Marcus Clarke freebsd_committer 2011-09-26 08:18:21 UTC
Responsible Changed
From-To: portmgr->glarkin

Repocopy complete.
Comment 7 R.Mahmatkhanov 2011-09-26 09:43:55 UTC
Good day, Greg!

Since you taked this pr: http://bugs.freebsd.org/160846, i want to 
clarify some of my further plans on it.

1. There is patch for this port, that updates it to 3.8.0:
    http://bugs.freebsd.org/160988 but please note that there is
    correlated port that should be update too:
    http://bugs.freebsd.org/160987
2. Current maintainer doesn't objects to passing
    maintainership to me, please see followup to ports/160988.
3. After ports/160988 will be committed, patch attached (Makefile.diff)
    should be applied to make this repocopied port actually work.
4. After that zope.interface-deps_change.diff should be applied, that
    fix all the dependend ports.
5. After that devel/py-zopeInterface may be removed.
6. User should be suggested to make
    portmaster -o devel/py-zope.interface devel/py-zopeInterface in
    UPDATING.

Thank you.

-- 
Regards,
Ruslan

Tinderboxing kills... the drives.
Comment 8 dfilter service freebsd_committer 2011-09-27 14:32:37 UTC
glarkin     2011-09-27 13:32:23 UTC

  FreeBSD ports repository

  Modified files:
    devel/py-zope.interface Makefile distinfo pkg-descr pkg-plist 
  Log:
  - Forced commit to note completion of repocopy from devel/py-zopeInterface
  
  PR:             ports/160846
  Submitted by:   Ruslan Mahmatkhanov <cvs-src@yandex.ru>
  
  Revision  Changes    Path
  1.19      +0 -0      ports/devel/py-zope.interface/Makefile
  1.14      +0 -0      ports/devel/py-zope.interface/distinfo
  1.2       +0 -0      ports/devel/py-zope.interface/pkg-descr
  1.11      +1 -1      ports/devel/py-zope.interface/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 dfilter service freebsd_committer 2011-09-29 22:07:24 UTC
glarkin     2011-09-29 21:07:10 UTC

  FreeBSD ports repository

  Modified files:
    devel/py-zope.interface Makefile 
  Log:
  - Removed redundant DISTNAME (misapplied patch from PR)
  
  PR:             ports/160846
  
  Revision  Changes    Path
  1.21      +0 -1      ports/devel/py-zope.interface/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 dfilter service freebsd_committer 2011-09-29 22:18:09 UTC
glarkin     2011-09-29 21:18:00 UTC

  FreeBSD ports repository

  Modified files:
    databases/zodb3      Makefile 
    deskutils/py-dosage  Makefile 
    devel/py-repoze.what-pylons Makefile 
    devel/py-repoze.who  Makefile 
    devel/py-transaction Makefile 
    devel/py-twistedCore Makefile 
    devel/py-zope.configuration Makefile 
    devel/py-zope.exceptions Makefile 
    devel/py-zope.i18n   Makefile 
    devel/py-zope.schema Makefile 
    multimedia/freevo    Makefile 
    multimedia/pitivi    Makefile 
    net/kojoney          Makefile 
    net/py-zope.proxy    Makefile 
    www/py-pyramid       Makefile 
    x11-toolkits/py-kiwi Makefile 
  Log:
  - Chase repocopy of devel/py-zopeInterace to devel/py-zope.interface
  
  PR:             ports/160846
  Submitted by:   Ruslan Mahmatkhanov <cvs-src@yandex.ru>
  
  Revision  Changes    Path
  1.27      +2 -2      ports/databases/zodb3/Makefile
  1.12      +2 -1      ports/deskutils/py-dosage/Makefile
  1.2       +2 -1      ports/devel/py-repoze.what-pylons/Makefile
  1.5       +2 -1      ports/devel/py-repoze.who/Makefile
  1.5       +1 -1      ports/devel/py-transaction/Makefile
  1.18      +2 -1      ports/devel/py-twistedCore/Makefile
  1.3       +2 -1      ports/devel/py-zope.configuration/Makefile
  1.4       +2 -1      ports/devel/py-zope.exceptions/Makefile
  1.2       +2 -1      ports/devel/py-zope.i18n/Makefile
  1.3       +2 -1      ports/devel/py-zope.schema/Makefile
  1.25      +2 -2      ports/multimedia/freevo/Makefile
  1.23      +2 -2      ports/multimedia/pitivi/Makefile
  1.5       +2 -2      ports/net/kojoney/Makefile
  1.9       +2 -2      ports/net/py-zope.proxy/Makefile
  1.4       +2 -1      ports/www/py-pyramid/Makefile
  1.17      +2 -2      ports/x11-toolkits/py-kiwi/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 11 dfilter service freebsd_committer 2011-09-29 22:23:02 UTC
glarkin     2011-09-29 21:22:53 UTC

  FreeBSD ports repository

  Modified files:
    .                    MOVED 
    devel                Makefile 
  Removed files:
    devel/py-zopeInterface Makefile distinfo pkg-descr pkg-plist 
  Log:
  - Removed devel/py-zopeInterface after rename
  
  PR:             ports/160846
  Submitted by:   Ruslan Mahmatkhanov <cvs-src@yandex.ru>
  
  Revision  Changes    Path
  1.2606    +2 -1      ports/MOVED
  1.4572    +0 -1      ports/devel/Makefile
  1.19      +0 -24     ports/devel/py-zopeInterface/Makefile (dead)
  1.14      +0 -2      ports/devel/py-zopeInterface/distinfo (dead)
  1.2       +0 -6      ports/devel/py-zopeInterface/pkg-descr (dead)
  1.11      +0 -144    ports/devel/py-zopeInterface/pkg-plist (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 12 Greg Larkin freebsd_committer 2011-09-29 22:23:16 UTC
State Changed
From-To: open->closed

Committed all pending changes, thank you!